summaryrefslogtreecommitdiff
path: root/usr.sbin
diff options
context:
space:
mode:
authorStuart Henderson <sthen@cvs.openbsd.org>2019-11-12 08:19:12 +0000
committerStuart Henderson <sthen@cvs.openbsd.org>2019-11-12 08:19:12 +0000
commite3c9b2b22c1339b08e8a179d72f3187b8dcecf96 (patch)
treebf58ef24b6afcf9a08d363831ecac35f6455e141 /usr.sbin
parent09635093dc0ac80338b5d162cf5771d56be1f6b9 (diff)
use the default URL when running fw_update, we can't guarantee that pkg_add will
be able to cope with packages from the next OpenBSD release - firmware packages are occasionally updated on the release branch post-release. this should handle most situations - the corner-case is an old snapshot upgrading to a new snapshot across some types of pkg_add change, but as fw_update is usually not mandatory this is usually good enough. ok beck deraadt
Diffstat (limited to 'usr.sbin')
-rw-r--r--usr.sbin/sysupgrade/sysupgrade.sh6
1 files changed, 2 insertions, 4 deletions
diff --git a/usr.sbin/sysupgrade/sysupgrade.sh b/usr.sbin/sysupgrade/sysupgrade.sh
index 35d322d6272..50b1495adbd 100644
--- a/usr.sbin/sysupgrade/sysupgrade.sh
+++ b/usr.sbin/sysupgrade/sysupgrade.sh
@@ -1,6 +1,6 @@
#!/bin/ksh
#
-# $OpenBSD: sysupgrade.sh,v 1.32 2019/11/11 18:26:52 sthen Exp $
+# $OpenBSD: sysupgrade.sh,v 1.33 2019/11/12 08:19:11 sthen Exp $
#
# Copyright (c) 1997-2015 Todd Miller, Theo de Raadt, Ken Westerback
# Copyright (c) 2015 Robert Peichaer <rpe@openbsd.org>
@@ -122,10 +122,8 @@ fi
if $SNAP; then
URL=${MIRROR}/snapshots/${ARCH}/
- FWURL=http://firmware.openbsd.org/firmware/snapshots/
else
URL=${MIRROR}/${NEXT_VERSION}/${ARCH}/
- FWURL=http://firmware.openbsd.org/firmware/${NEXT_VERSION}/
fi
if [[ -e ${SETSDIR} ]]; then
@@ -208,7 +206,7 @@ __EOT
fi
echo Fetching updated firmware.
-fw_update -p ${FWURL} || echo "Warning: firmware not updated."
+fw_update || echo "Warning: firmware not updated."
install -F -m 700 bsd.rd /bsd.upgrade
sync